/* ==========================================================================
CHS NEWS ITEM - HOMEFEED LAYOUT
========================================================================== */
/* News items */
.newsHF__item {
  margin-right: 2rem;
}  
@media (min-width: 768px) {
    .newsHF__item:not(:last-child) {
        margin-bottom: 1rem;
    }
    .newsHF__item {
        display: grid;
        grid-template-columns: 30% 70%;
        gap: 1rem;
        border-top-width: 10px;
        border-top-style: solid;
        border-top-color: #FFB300;
        background-color: #FFFFFF;
        margin-left: 2rem;
        margin-right: 2rem;
        transition: transform 0.3s ease, box-shadow 0.3s ease, background-color 0.3s ease;
        backface-visibility: hidden;
    }
    .newsHF__item:hover, 
    .newsHF__item:focus {
        background: rgb(245, 245, 245);
        cursor: pointer;
        transform: scale(1.05); /* Slightly enlarge the card */
        box-shadow: 0 10px 20px rgba(0,0,0,0.3);
    }
}
/* Image */
.newsHF__img img {
  border-radius: 5%;
  margin-left: 1rem;
}
/* Date */
.newsHF__date {
  font-size: 0.875rem;
  color: var(--cwf-color--orange);
  font-weight: 800;
  margin: 0.5rem auto;
  padding-left: 1rem;
}
@media (min-width: 768px) {
    .newsHF__date {
        margin: 0 auto;
    }
}
/* Description */
.newsHF__descrip {
   display: none;
  }
/* Text Area */
.newsHF__text a {
   color: #000;
}
@media (min-width: 768px) {
    .newsHF__text p {
        margin-bottom: 0;
        margin-right: 1.5rem;
        padding-top: 0.5rem;
        padding-left: 1rem;
    }
}
/* Headline */
.newsHF__title {
  font-size: 1rem;
  line-height: 1.5;
  padding-top: 0;
  padding-right: 2rem;
  padding-left: 1rem;
  color: black;
}
@media (min-width: 1024px) {
  .homeNews a {
    color: black;
    text-decoration: underline;
  }
  .homeNews a:hover, 
  .homeNews a:focus {
    text-decoration: none;
  }
}

/* Grid */
@media (min-width: 768px) {/* Deploy grid at 768px instead of 1024px */
    .cwf-grid.cwf-grid--5-columns.newsHF__item {
        --cwf-grid--grid-template-columns: repeat(5, 1fr);
    }
    .newsHF__item .cwf-grid__column--span-2 {
        grid-column-end: span 2;
    }
    .newsHF__item .cwf-grid__column--span-3 {
        grid-column-end: span 3;
    }
}
@media (min-width: 1024px) {
    .cwf-grid.cwf-grid--5-columns.newsHF__item {
        --cwf-grid--grid-template-columns: repeat(auto-fit, minmax(var(--cwf-grid__column--min-width), 1fr));
    }
}
/* News and events containers */
.news-events {
    margin-inline: var(--main-gutter);
    margin-bottom: 4rem;
    margin-top: 2rem;
    padding-left: 2rem;
    padding-right: 2rem;
}
.news-events h2 {
    margin-bottom: 2rem;
}
@media (min-width: 768px) {
    .news-events {
        margin-top: initial;
        padding: initial;
    }
    .events {
        padding: 0 2rem;
    }
}
/* Button to view more news */
  .homeNews.cwf-grid__column--span-3 > a {
  text-decoration: none;
}
  .homeNews.cwf-grid__column--span-3 > p {
  text-align: right;
  text-decoration: none;
}
@media (min-width: 768px) {
  .homeNews.cwf-grid__column--span-3 > p {
    padding: 0 2rem;
    text-align: initial;
    text-decoration: none;
  }
}
.cwf-grid.cwf-grid--5-columns.news-events {
   background-repeat: no-repeat;
   background-size: cover;
   background-position: center center;
   background-color: #DEDEDE;
   padding-top: 2rem;
   padding-bottom: 2rem;
}
.moreNews {
   margin-right: 2rem;
}
.moreNews a {
   color: #000;
}
/* Event items */
.events.cwf-grid__column--span-2 {
   padding-right: 2rem;
   padding-left: 0;
}
/* Targeted padding for Tablet view only */
.eventItem {
       display: grid;
       grid-template-columns: 25% 75%;
       gap: 1rem;
       background-color: #ffffff;
       margin-bottom: 1rem;
       transition: transform 0.3s ease, box-shadow 0.3s ease, background-color 0.3s ease;
       backface-visibility: hidden;
}
.eventItem:hover, 
.eventItem:focus {
      background: rgb(245, 245, 245);
      cursor: pointer;
      transform: scale(1.05); /* Slightly enlarge the card */
      box-shadow: 0 10px 20px rgba(0,0,0,0.3);
}
.eventName {
       margin-bottom: 0;
}
.eventName a {
       text-decoration: none;
       color: #000;
}
.eventName a:hover {
       text-decoration: underline; 
}
.eventDate {
       background-color: #FFB300;
       text-align: center;
       line-height: 0.7;
       margin: 0;
}
.eventDate .month {
  display: block;
  text-transform: uppercase;
  font-size: 0.65em;
}
.eventDate .day {
  font-size: 1.7em;
  font-weight: bold;
  display: block;
}
.eventDetails h4 {
       font-size: .9rem;
       line-height: 1.5;
       padding-right: 2rem;
}
.cwf-list--unordered {
        color: #767676;
        font-size: .9rem;
}
.cwf-list--unordered {
    list-style: none;
    padding-left: 1.2rem; /* Add space for the icon */
}
.cwf-list--unordered li::before {
    content: "\f017"; /* This is the Unicode for the 'clock' icon */
    font-family: "Font Awesome 5 Free";
    font-weight: 900; /* Required for solid icons */
    color: #B02E01;   /* Your custom icon color */
    display: inline-block;
    width: 1.2rem;    /* Space between icon and text */
    margin-left: -1.2rem;
}
















































































